CannotProceed (Java Platform SE 8 )
Keywords: org.omg.CosNaming.NamingContextPackage.CannotProceed class
Date: 2016-07-28

org.omg.CosNaming.NamingContextPackage

## Class CannotProceed

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.CosNaming.NamingContextPackage.CannotProceed

- All Implemented Interfaces:
    Serializable, IDLEntity

      public final class CannotProceed
      extends UserException

  org/omg/CosNaming/NamingContextPackage/CannotProceed.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/java8-openjdk/src/jdk8u-jdk8u102-b14/corba/src/share/classes/org/omg/CosNaming/nameservice.idl Thursday, July 28, 2016 7:11:27 PM MDT

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `NamingContext` | `cxt`
    `NameComponent[]` | `rest_of_name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CannotProceed()`
    `CannotProceed(NamingContext _cxt, NameComponent[] _rest_of_name)`
    `CannotProceed(String $reason, NamingContext _cxt, NameComponent[] _rest_of_name)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cxt

          public NamingContext cxt

    - #### rest_of_name

          public NameComponent[] rest_of_name

  - ### Constructor Detail

    - #### CannotProceed

          public CannotProceed()

    - #### CannotProceed

          public CannotProceed(NamingContext _cxt,
                               NameComponent[] _rest_of_name)

    - #### CannotProceed

          public CannotProceed(String $reason,
                               NamingContext _cxt,
                               NameComponent[] _rest_of_name)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.